Subject: Re: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Sean Whitton <[email-masked]>
Date: Tue, 19 Dec 2023 18:31:25 +0000

Hello,

On Tue 19 Dec 2023 at 07:29pm +02, Juri Linkov wrote:

> Both are already shown: M-C-i pops up the *Completions* buffer
> and activates in-buffer candidates.  If you want M-C-i only
> to activate in-buffer candidates, then the line above
> should be removed from `completion--in-region`.

When I said "provide both", I meant both your idea of how the feature
should work, and my idea of how it should work.  I didn't mean both the
in-buffer candidates and the *Completions* buffer.

What you've said isn't true, though: a single TAB, which is bound to
completion-at-point in Eshell, does not show in-buffer candidates, nor
does it pop up the *Completions* buffer.

-- 
Sean Whitton